html {
  font-family: "Poppins", sans-serif;
  font-size: 100%;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  margin-top: 0;
  background-color: #fff;
  text-decoration: none;
}

a {
  color: inherit;
}

.wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-width: 23.438em;
  margin-top: 0;
  background-color: #f7f7f9;
}

img {
  max-width: 100%;
}

.hero-title {
  font-size: 2.5rem;
  font-weight: 700;
  line-height: 3.25rem;
  letter-spacing: 0;
  text-align: left;
  width: 61%;
  margin-top: 6.438rem;
  margin-bottom: 0.75rem;
  margin-left: 1.5rem;
  color: #172b4d;
}

.hero-description {
  font-size: 1rem;
  font-weight: 400;
  text-align: start;
  margin-bottom: 0.8rem;
  margin-left: 1.5rem;
  width: 86%;
  color: #344563;
}

.Homepage {
  background-image: url(https://raw.githubusercontent.com/steveWDamesJr/Microverse-Portfolio/main/images/background.png);
  border-bottom-left-radius: 4.375rem;
  background-repeat: no-repeat;
  min-width: 40%;
  height: 44.875rem;
  background-size: contain;
  background-color: #fff;
  margin: 0;
}

.icon-list {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 11.188rem;
  padding: 0;
  margin-left: 1.5rem;
}

.connect {
  font-size: 1rem;
  font-weight: 500;
  margin-top: 0.75rem;
  margin-bottom: 0.75rem;
  margin-left: 1.5rem;
  color: #7f8cff;
}

.card {
  display: flex;
  align-items: center;
  flex-direction: column;
  height: auto;
  border-radius: 1rem;
  background-color: #fff;
  margin-top: 5.438rem;
  color: #172b4d;
  padding: 1rem;
}

.card-img {
  height: auto;
  width: 100%;
  left: 1rem;
  padding: 0 1rem;
  border-radius: 0.5rem;
}

.card-title {
  font-size: 2rem;
  font-weight: 700;
  margin-bottom: 0;
}

.title-elements {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 80%;
  padding-left: 0;
  margin: 0;
}

.pr-name {
  font-size: 0.813rem;
  font-weight: 600;
  color: #344563;
}

.art-name {
  font-size: 0.813rem;
  font-weight: 600;
  width: 89px;
  color: #7a869a;
}

.year {
  font-size: 13px;
  font-weight: 600;
  width: 29px;
  color: #7a869a;
}

.card-description {
  width: 295px;
  height: 6rem;
  left: 0;
  top: 92px;
  font-size: 15px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0;
  color: #344563;
  margin: 0;
}

.card-subtitles {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 12.688rem;
  list-style: none;
  padding-left: 0;
  padding-bottom: 2px;
}

.languages {
  padding: 4px 12px;
  background-color: #ebebff;
  color: #6070ff;
  border: 1px solid #ebebeb;
  border-radius: 8px;
  font-size: 12px;
}

.card-button {
  padding: 12px;
  border: 1px solid #6070ff;
  border-radius: 8px;
  text-decoration: none;
  color: #396df2;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  width: 100px;
  height: 24px;
  left: 12px;
  top: 12px;
}

.card-button:hover {
  padding: 12px;
  width: 100px;
  height: 24px;
  left: 252px;
  top: calc(50% - 48px / 2 + 57.5px);
  background: #6070ff;
  box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
  border-radius: 8px;
  color: #fff;
}

.card-button:focus {
  padding: 12px;
  width: 100px;
  height: 24px;
  left: 407px;
  top: calc(50% - 48px / 2 + 57.5px);
  background: #2230d2;
  border-radius: 8px;
  color: #fff;
}

.card-button:disabled {
  padding: 12px;
  width: 100px;
  height: 24px;
  left: 564px;
  top: calc(50% - 48px / 2 + 57.5px);
  border: 1px solid #c1c7d0;
  box-sizing: border-box;
  border-radius: 8px;
}

.text-cont {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-direction: column;
}

.works-section-grid {
  display: grid;
  grid-auto-flow: row;
  justify-items: center;
  gap: 1em;
  width: 23.438em;
  background-color: #f7f7f9;
  height: auto;
  padding-top: 100px;
}

.about-me-card {
  background-repeat: no-repeat;
  width: 23.438em;
  height: auto;
  background-size: contain;
  margin: 0;
  background-color: #f7f7f9;
  padding-top: 7.125rem;
}

.about-back-container {
  border-top-right-radius: 70px;
  background-color: #fff;
  padding-top: 114px;
}

.about-myself {
  font-size: 40px;
  margin-top: 0;
  font-weight: 700;
  line-height: 3.25rem;
  text-align: left;
  margin-bottom: 12px;
  margin-left: 24px;
  color: #172b4d;
}

.card-button2 {
  padding: 12px;
  border: 1px solid #6070ff;
  border-radius: 8px;
  text-decoration: none;
  color: #396df2;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  width: 135px;
  height: 24px;
  left: 12px;
  top: 12px;
}

.card-button2:hover {
  padding: 12px;
  border: 1px solid #6070ff;
  border-radius: 8px;
  text-decoration: none;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  width: 135px;
  height: 24px;
  left: 12px;
  top: 12px;
  top: calc(50% - 48px / 2 + 57.5px);
  background: #6070ff;
  box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
  color: #fff;
}

.card-button2:focus {
  padding: 12px;
  border: 1px solid #6070ff;
  border-radius: 8px;
  text-decoration: none;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  width: 135px;
  height: 24px;
  left: 12px;
  top: 12px;
  top: calc(50% - 48px / 2 + 57.5px);
  background: #2230d2;
  color: #fff;
}

.card-button2:disabled {
  padding: 12px;
  border-radius: 8px;
  text-decoration: none;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  width: 135px;
  height: 24px;
  left: 12px;
  top: 12px;
  top: calc(50% - 48px / 2 + 57.5px);
  border: 1px solid #c1c7d0;
  box-sizing: border-box;
}

.icon-list2 {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 179px;
  padding: 0;
  margin-left: 24px;
}

.skills-list {
  margin: 32px 24px;
}

.abm-skills {
  height: 24px;
  left: 12px;
  right: 78px;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  display: flex;
  align-items: center;
}

li {
  list-style: none;
}

.All-skills {
  display: flex;
  flex-direction: column;
  margin-top: 35px;
  width: 327px;
  margin-left: auto;
  margin-right: auto;
}

.All-skills-list {
  padding-left: 0;
}

.All-skills li {
  list-style: none;
}

.lang-arrow,
.frame-arrow,
.skills-arrow {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.lang-arrow h3,
.frame-arrow h3,
.skills-arrow h3 {
  height: 24px;
  left: 12px;
  right: 78px;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
}

.programs {
  display: flex;
  background-color: #f7f7f9;
  padding: 7px 0 7px 15px;
  border-radius: 8px;
}

.program-lang {
  padding-left: 0;
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.program-name {
  height: 24px;
  left: 76px;
  right: 12px;
  font-weight: 500;
  font-size: 15px;
  line-height: 20px;
  display: flex;
  align-items: center;
  color: #253858;
  margin-left: 16px;
}

.line {
  border: 1px solid#Dfe1e6;
  margin: 5px 0;
}

.contact-form {
  display: flex;
  justify-content: center;
  flex-direction: column;
  background-image: url(https://raw.githubusercontent.com/steveWDamesJr/Microverse-Portfolio/main/images/contact-back-mobile.png);
  background-size: cover;
  background-repeat: no-repeat;
  width: 23.438em;
  height: 836px;
  left: 0;
  top: 5410px;
  background-color: #6070ff;
  border-top-left-radius: 70px;
}

.con-form-wrapper {
  background-color: #fff;
}

.frm-inputs-cont {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.contact-me {
  height: 56px;
  top: 4734px;
  font-weight: bold;
  font-size: 40px;
  line-height: 52px;
  text-align: center;
  color: #fff;
  margin: 0;
  padding-top: 115px;
}

.contact-description {
  width: 327px;
  height: 102px;
  left: 24px;
  top: 4802px;
  font-weight: normal;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  color: #ebebff;
  margin-bottom: 80px;
  margin-left: 20px;
}

.con-frm-input {
  height: 48px;
  width: 327px;
  left: 0;
  top: 0;
  bottom: 0;
  border-radius: 8px;
  background: #fff;
  font-size: 17px;
  line-height: 20px;
  color: #172b4d;
  border: none;
  text-indent: 16px;
}

.con-frm-mess {
  height: 170px;
  width: 327px;
  left: 0;
  top: 0;
  bottom: 0;
  font-weight: normal;
  font-size: 17px;
  line-height: 20px;
  color: #172b4d;
  border-radius: 8px;
  background: #fff;
  border: 1px solid #cfd8dc;
  margin-bottom: 10px;
  text-indent: 16px;
}

::placeholder {
  font-weight: normal;
  font-size: 15px;
  line-height: 24px;
  color: #b3bac5;
  padding-top: 1rem;
}

textarea {
  font-family: "Poppins", sans-serif;
  font-size: 17px;
}

.frm-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 48px;
  width: 140px;
  left: 24px;
  border-radius: 8px;
  padding: 12px 16px 12px 16px;
  background: #fff;
  align-self: flex-start;
  justify-content: center;
  margin-left: 1.25rem;
  margin-bottom: 7px;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.03em;
  color: #6070ff;
  border: none;
}

.frm-button:hover {
  padding: 12px;
  border: 1px solid #fff;
  border-radius: 8px;
  text-decoration: none;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  width: 140px;
  height: 48px;
  left: 12px;
  top: 12px;
  background: #6070ff;
  box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
  color: #fff;
  cursor: pointer;
}

.frm-button:focus {
  padding: 12px;
  border: 1px solid #fff;
  border-radius: 8px;
  text-decoration: none;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  width: 140px;
  height: 48px;
  left: 12px;
  top: 12px;
  background: #2230d2;
  box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
  color: #fff;
}

.desk-card-img {
  display: none;
}

.desk-languages {
  display: none;
}

.desk-card-des {
  display: none;
}

.card-desk-title {
  display: none;
}

.pr-desk-name {
  display: none;
}

.art-desk-name {
  display: none;
}

.desk-year {
  display: none;
}

.languages-hide {
  display: none;
}

.popup-desk-para {
  display: none;
}

.hideMe {
  display: none;
}

@media screen and (min-width: 993px) {
  .hideMe {
    display: inherit;
  }

  .Homepage {
    background-image: url(https://raw.githubusercontent.com/steveWDamesJr/Microverse-Portfolio/main/images/Desktop-back.png);
    width: 100%;
    padding: 0;
    margin: 0;
    background-color: #f7f7f9;
    border-bottom-left-radius: 0;
  }

  .header-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 0 0 13rem;
    height: auto;
    position: fixed;
    top: 0;
    overflow: hidden;
    background-color: #fff;
  }

  .wrapper {
    min-width: 0;
    background-size: cover;
  }

  .hero-title {
    width: 50%;
    margin-bottom: 0;
    padding-bottom: 0;
    margin-top: 0;
    height: 2%;
    color: #091e42;
  }

  .hom-container {
    width: 69%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    padding-top: 215px;
  }

  .home-wrapper {
    background-color: #fff;
    width: 100%;
    height: 100%;
    margin-top: 0;
    border-bottom-left-radius: 4.375rem;
    background-image: url(https://raw.githubusercontent.com/steveWDamesJr/Microverse-Portfolio/main/images/Desktop-back.png);
    background-size: contain;
    background-repeat: no-repeat;
  }

  .works-section-grid {
    width: 100%;
    padding-bottom: 7.125rem;
  }

  .desk-languages {
    display: inherit;
    width: 27%;
  }

  .card {
    width: 80%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    padding: 0 24px;
  }

  .card-img {
    display: none;
  }

  .desk-card-img {
    display: inherit;
    padding: 24px;
    height: 448px;
  }

  .desk-img-alt {
    order: 1;
  }

  .text-cont {
    padding-left: 36px;
  }

  .card-title {
    display: none;
  }

  .card-desk-title {
    display: inherit;
    font-size: 2.5rem;
    margin-bottom: 0;
    font-weight: 700;
    color: #091e42;
  }

  .title-elements {
    width: 28%;
  }

  .pr-name {
    display: none;
  }

  .art-name {
    display: none;
  }

  .pr-desk-name {
    display: inherit;
    font-weight: 500;
    color: #344563;
    font-size: 1.125rem;
  }

  .art-desk-name {
    display: inherit;
    font-weight: 400;
    width: 8.8rem;
    color: #6b778c;
    font-size: 1.125rem;
    text-align: center;
  }

  .year {
    display: none;
  }

  .desk-year {
    display: inherit;
    font-weight: 400;
    width: 2.375rem;
    color: #6b778c;
    font-size: 1.125rem;
  }

  .card-description {
    display: none;
  }

  .desk-card-des {
    display: inherit;
    width: 80%;
    height: auto;
  }

  .card-subtitles {
    gap: 0.5%;
    width: 63%;
    margin-bottom: 2rem;
  }

  .card-desk-sub {
    width: 39%;
  }

  .program-lang {
    display: flex;
    flex-direction: row;
    width: 53%;
    justify-content: center;
    text-align: left;
  }

  .programs {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    align-items: baseline;
    align-content: center;
  }

  .program-name {
    margin-left: 0;
  }

  .lang-container {
    margin-bottom: 1.563em;
    padding-top: 21px;
  }

  .frame-arrow {
    padding-top: -5px;
    font-size: 1.3rem;
    font-weight: 500;
    color: #344563;
  }

  .skills-arrow {
    font-size: 1.3rem;
    font-weight: 500;
    color: #344563;
  }

  .lang-arrow {
    font-size: 1.3rem;
    font-weight: 500;
    color: #344563;
  }

  .skills-container {
    margin-bottom: 16px;
  }

  .about-me-connect-container {
    background-color: #f7f7f9;
    width: 100%;
    height: 100%;
    padding: 0;
  }

  .about-me-card {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
  }

  .about-back-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    padding-top: 10.375em;
    padding-bottom: 9.125em;
    margin: 0;
  }

  .about-me-container {
    width: 37%;
    margin-left: 95px;
    padding-top: 0.813rem;
  }

  .All-skills {
    width: 56%;
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
  }

  .All-skills-list {
    width: 87%;
  }

  .con-form-wrapper {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
  }

  .contact-form {
    width: 100%;
    height: auto;
    padding: 0;
    margin: 0;
    background-image: url(https://raw.githubusercontent.com/steveWDamesJr/Microverse-Portfolio/main/images/Desktop-back.png);
  }

  .footer-connect-container {
    background-color: #fff;
    width: 100%;
    height: 100%;
  }

  .about-myself {
    padding-right: 0;
    color: #091e42;
    font-weight: 700;
    font-size: 2.5rem;
  }

  .contact-description {
    margin-left: auto;
    margin-right: auto;
    width: 28em;
    margin-bottom: 0;
    font-weight: 400;
    font-size: 1.25rem;
  }

  .frm-button {
    margin-left: auto;
    margin-right: auto;
  }

  .frm-inputs-cont {
    padding-bottom: 7.938rem;
  }

  .works-section-popup {
    background: #c1c7d0;
    height: 200%;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
  }

  .popup-languages {
    justify-content: space-between;
    align-items: center;
    width: 12.688rem;
    list-style: none;
    padding-left: 0;
    padding-bottom: 2px;
    display: flex;
    flex-wrap: wrap;
  }

  .popup-information {
    display: flex;
    gap: 20px;
  }

  .languages-hide {
    display: inherit;
    padding-right: 8px;
    margin-top: 10px;
  }

  .popup-desk-para {
    display: inherit;
  }

  .popup-work-descript {
    display: none;
  }

  .lang-width {
    width: 59%;
    margin-right: 4%;
  }
}

header {
  background-color: #262626;
}

a {
  color: black;
  text-decoration: none;
}

.navbar {
  min-width: 308px;
  min-height: 70px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: black;
  padding: 0 24px;
  background-color: white;
}

.nav-branding {
  font-size: 1.125em;
  font-weight: 700;
  color: #6070ff;
}

.nav-menu {
  display: flex;
  justify-content: space-between;
  align-items: start;
  gap: 60px;
  padding-right: 135px;
}

.nav-link {
  transition: 0.3s ease-out;
  color: #000;
}

.nav-link:hover {
  color: #919aee;
  cursor: pointer;
}

.hamburger {
  display: none;
  cursor: pointer;
}

.bar {
  display: block;
  width: 24px;
  height: 2.5px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  background: #6070ff;
  border-radius: 10px;
}

.popup-close {
  font-size: 38px;
  color: #67798e;
  cursor: pointer;
}

.popup-close-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.works-section-popup {
  background: rgba(193, 199, 208, 0.3);
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  padding: 50px 0;
  height: 200%;
}

.popup-desk-container {
  padding: 30px;
}

.popup-card {
  margin: 0 auto;
  /* stylelint-disable-next-line csstree/validator */
  height: cal(100% + 100px);
  width: 80%;
  border-radius: 16px;
  padding: 16px;
  background: #fff;
}

.popup-title {
  width: 259px;
  left: 0;
  top: 2px;
  height: 36px;
}

.popup-pr-img {
  width: 100%;
  border-radius: 8px;
}

.popup-work-descript {
  width: 100%;
  font-size: 15px;
  line-height: 24px;
  color: #344563;
  order: 0;
  margin-right: 0;
}

.popup-hr {
  color: #e5e5e5;
  opacity: 0.3;
  margin-bottom: 20px;
}

.popup-card-button {
  border: 1px solid #6070ff;
  border-radius: 8px;
  color: #396df2;
  width: 136px;
  height: 48px;
  background: #fff;
  text-align: center;
}

.popup-btn-links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.popup-card-button:hover {
  border: 1px solid #fff;
  border-radius: 8px;
  width: 136px;
  height: 48px;
  background: #6070ff;
  box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
  color: #fff;
  cursor: pointer;
}

.popup-card-button:focus {
  border: 1px solid #fff;
  border-radius: 8px;
  width: 136px;
  height: 48px;
  color: #fff;
  cursor: pointer;
  background: #2230d2;
  box-shadow: 0 8px 16px rgba(64, 83, 252, 0.24);
}

@media screen and (max-width: 768px) {
  .nav-link {
    transition: 0.3s ease-out;
    color: #fff;
  }

  .hamburger {
    display: block;
    left: 88%;
    color: #fff;
  }

  .hamburger.active .bar {
    background: #fff;
  }

  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }

  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .nav-menu {
    position: absolute;
    left: -457%;
    top: -33px;
    padding-top: 68px;
    gap: 0;
    align-items: start;
    flex-direction: column;
    background-color: #6070ff;
    width: 100%;
    text-align: center;
    transition: 0.3s;
    padding-bottom: 2000%;
    mix-blend-mode: multiply;
    font-weight: 600;
    font-size: 32px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
  }

  .nav-item {
    margin: 16px 0;
  }

  .nav-menu.active {
    left: 0;
  }
}
